


.rectangle-copy {
  height: 44px;
  width: 481px;
  border-radius: 4px;
  background-color: #FAFAFA;
  box-shadow: 0 1px 4px 0 #E0E0E0;
}

.showsearch {
  height: 22px;
  width: 100%;
  color: #006E95;
  font-family: Prompt;
  font-size: 14px;
  font-weight: 500;
  letter-spacing: 0;
  line-height: 22px;
  text-align: right;
  cursor: pointer;
} 

.stacked-group {
  height: 28px;
  width: 963px;
}

.เทียบกับ-sla {
  height: 28px;
  width: 240px;
  color: #999999;
  font-family: Prompt;
  font-size: 16px;
  font-weight: 500;
  letter-spacing: 0;
  line-height: 28px;
  cursor: pointer;
}

.ภาพรวมใบคำขอ {
  height: 28px;
  width: 110px;
  color: #999999;
  font-family: Prompt;
  font-size: 16px;
  font-weight: 500;
  letter-spacing: 0;
  line-height: 28px;
  cursor: pointer;
}

.e-click {
  color: #00A6E6;
}


.ค้นหาข้อมูล {
  height: 32px;
  width: 96px;
  color: #333333;
  font-family: Prompt;
  font-size: 20px;
  font-weight: 500;
  letter-spacing: 0;
  // line-height: 32px;
}

.rectangle-line {
  height: 2px;
  width: 1360px;
  background-color: #E0E0E0;
}

.rectangle-copy-2 {
  height: 328px;
  width: 1360px;
  border-radius: 6px;
  background-color: #FFFFFF;
}

.stacked-group-2 {
  height: 76px;
  width: 1297px;
}

.selected {
  box-sizing: border-box;
  height: 48px;
  width: 100%;
  border: 1px solid #E0E0E0;
  border-radius: 4px;
  background-color: #FFFFFF;
}

.label {
  height: 24px;
  width: 105px;
  color: #333333;
  font-family: Prompt;
  font-size: 16px;
  letter-spacing: 0;
  line-height: 24px;
}

.placeholder {
  height: 24px;
  width: 338.57px;
  color: #E0E0E0;
  font-family: Prompt;
  font-size: 16px;
  letter-spacing: 0;
  line-height: 24px;
}

.padding-select {
  padding: 15px;
}

.date_input {
  width: 100%;
  position: relative;

  .form-control {
    font-family: Prompt;
  }
}

.icon-warpper1 {
  display: block;
  position: absolute;
  top: 10%;
  left: 85%;
  line-height: 35px;
}

.rectangle-button {
  height: 48px;
  width: 154px;
  border-radius: 4px;
  background-color: #00A4E4;
  color: #FFFFFF;
  font-family: Prompt;
  font-size: 18px;
  letter-spacing: 0;
  line-height: 28px;
  margin-top: 30px;
  border: none;
}


.แสดงผลน้อยลง {
  height: 22px;
  width: 100%;
  color: #006E95;
  font-family: Prompt;
  font-size: 14px;
  font-weight: 300;
  letter-spacing: 0;
  line-height: 22px;
  text-align: right;
}

.ผลการค้นหา {
  height: 30px;
  width: 104px;
  color: #333333;
  font-family: Prompt;
  font-size: 20px;
  font-weight: 500;
  letter-spacing: 0;
  line-height: 30px;
}

.text {
  height: 24px;
  width: 100%;
  color: #999999;
  font-family: Prompt;
  font-size: 16px;
  font-weight: 500;
  letter-spacing: 0;
  line-height: 24px;
}

.underline {
  height: 1px;
  width: 720px;
}

.text-td {
  height: 24px;
  width: 132px;
  color: #333333;
  font-family: Prompt;
  font-size: 16px;
  letter-spacing: 0;
  line-height: 24px;
}

.rectangle-blue {
  height: 40px;
  width: 95%;
  transform: rotate(180deg);
  border-radius: 4px;
  background: linear-gradient(90deg, #C3ECF3 0%, #4EC3F0 100%);
}

.rectangle-blue- {
  margin-left: 20px;
  height: 40px;
  width: 85%;
  transform: rotate(180deg);
  border-radius: 4px;
  background: linear-gradient(90deg, #C3ECF3 0%, #4EC3F0 100%);
}
.rectangle--0 {
  margin-left: 10px;
  height: 40px;
  width: 85%;
  //transform: rotate(180deg);
  border-radius: 4px;
  //background: linear-gradient(90deg);
}

.text-50 {
  height: 24px;
  width: 0px;
  color: #333333;
  font-family: Prompt;
  font-size: 16px;
  letter-spacing: 0;
  line-height: 24px;
  transform: rotate(180deg);
}

.rectangle-red {
  height: 40px;
  width: 95%;
  transform: rotate(180deg);
  border-radius: 4px;
  background: linear-gradient(90deg, #FFBCBC 0%, #EB5C5C 100%);
}
.rectangle-red- {
  margin-left: 20px;
  height: 40px;
  width: 85%;
  transform: rotate(180deg);
  border-radius: 4px;
  background: linear-gradient(90deg, #FFBCBC 0%, #EB5C5C 100%);
}

.rectangle-yellow {
  height: 40px;
  width: 95%;
  transform: rotate(180deg);
  border-radius: 4px;
  background: linear-gradient(90deg, #FFF39F 0%, #F5CF3C 100%);
}
.rectangle-yellow- {
  margin-left: 20px;
  height: 40px;
  width: 85%;
  transform: rotate(180deg);
  border-radius: 4px;
  background: linear-gradient(90deg, #FFF39F 0%, #F5CF3C 100%);
}
.calendar-backdrop {
  display: flex;
  position: fixed;
  background: transparent;
  width: 100%;
  height: 100%;
  z-index: 998;
  top: 0;
  left: 0;
}

.btn-delete {
  cursor: pointer;
  color: rgb(121, 121, 121) !important;
}
.btn-date {
  top: 15%;
  right: 12px;
  position: absolute;
  cursor: pointer;
  color: #666666;
}
.btn-delete:hover {
  top: 53%;
  cursor: pointer;
  color: rgb(20, 20, 20) !important;
}
.input-calendar {
  position: relative;
}

.subhead-calendar {
  display: flex;
  text-align: center;
  color: #009edb;

  :nth-child(1) {
    width: 50%;
  }

  :nth-child(2) {
    width: 50%;
  }
}
.header-calendar {
  text-align: center;
}

.body-calendar {
  display: flex;
}

.calendar-warpper-2 {
  position: absolute;
  top: -1;
  right: 0;
  background: #fff;
  padding: 10px;
  border: 1px solid #0000002b;
  box-shadow: 0 2px 4px -1px rgba(0, 0, 0, 0.2), 0 4px 5px 0 rgba(0, 0, 0, 0.14),
  0 1px 10px 0 rgba(0, 0, 0, 0.12);
  border-radius: 4px;
  z-index: 999;
  // opacity: 0;
  transition: all 2s;

  .input-calendar {
    position: relative;
  }

  .subhead-calendar {
    display: flex;
    text-align: center;
    color: #009edb;

    :nth-child(1) {
      width: 50%;
    }

    :nth-child(2) {
      width: 50%;
    }
  }

  .header-calendar {
    text-align: center;
  }

  .body-calendar {
    display: flex;
  }

  &.ng-star-inserted {
    opacity: 1;
  }

  .footer-calendar {
    display: flex;

    .btn-clear {}

    .btn-apply {
      margin-left: auto;
      background-color: #009edb;
    }

    .mat-flat-button.mat-primary:not([disabled]) {
      background-color: #009edb;
    }

    .btn-close {}
  }
}
.fa-remove:before,
.fa-close:before,
.fa-times:before {
  position: absolute;
  top: 21%;
  right: 57px;
}

